Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::Synthon Class Reference

`#include <Synthon.h>`

## Public Member Functions

| Synthon ()=default
| Synthon (const std::string &smi, const std::string &id)
| Synthon (const Synthon &other)
| Synthon (Synthon &&other)=default
Synthon & | operator= (const Synthon &other)
Synthon & | operator= (Synthon &&other)=default
const std::string & | getSmiles () const
const std::string & | getId () const
const std::unique_ptr< ROMol > & | getOrigMol () const
const std::unique_ptr< ROMol > & | getSearchMol () const
const std::unique_ptr< ExplicitBitVect > & | getPattFP () const
const std::vector< std::shared_ptr< ROMol > > & | getConnRegions () const
void | setSearchMol (std::unique_ptr< RWMol > mol)
void | writeToDBStream (std::ostream &os) const
void | readFromDBStream (std::istream &is)
void | tagAtomsAndBonds (int molNum) const

## Detailed Description

Definition at line 26 of file Synthon.h.

## Constructor & Destructor Documentation

## Synthon() [1/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( |  | ) |

default

## Synthon() [2/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( | const std::string & | smi,
|  | const std::string & | id
| ) |  |

## Synthon() [3/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( | const Synthon & | other | ) |

## Synthon() [4/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( | Synthon && | other | ) |

default

## Member Function Documentation

## getConnRegions()

const std::vector< std::shared_ptr< ROMol > > & RDKit::SynthonSpaceSearch::Synthon::getConnRegions | ( |  | ) | const

## getId()

const std::string & RDKit::SynthonSpaceSearch::Synthon::getId | ( |  | ) | const

inline

Definition at line 36 of file Synthon.h.

## getOrigMol()

const std::unique_ptr< ROMol > & RDKit::SynthonSpaceSearch::Synthon::getOrigMol | ( |  | ) | const

## getPattFP()

const std::unique_ptr< ExplicitBitVect > & RDKit::SynthonSpaceSearch::Synthon::getPattFP | ( |  | ) | const

## getSearchMol()

const std::unique_ptr< ROMol > & RDKit::SynthonSpaceSearch::Synthon::getSearchMol | ( |  | ) | const

## getSmiles()

const std::string & RDKit::SynthonSpaceSearch::Synthon::getSmiles | ( |  | ) | const

inline

Definition at line 35 of file Synthon.h.

## operator=() [1/2]

Synthon & RDKit::SynthonSpaceSearch::Synthon::operator= | ( | const Synthon & | other | ) |

## operator=() [2/2]

Synthon & RDKit::SynthonSpaceSearch::Synthon::operator= | ( | Synthon && | other | ) |

default

## readFromDBStream()

void RDKit::SynthonSpaceSearch::Synthon::readFromDBStream | ( | std::istream & | is | ) |

## setSearchMol()

void RDKit::SynthonSpaceSearch::Synthon::setSearchMol | ( | std::unique_ptr< RWMol > | mol | ) |

## tagAtomsAndBonds()

void RDKit::SynthonSpaceSearch::Synthon::tagAtomsAndBonds | ( | int | molNum | ) | const

## writeToDBStream()

void RDKit::SynthonSpaceSearch::Synthon::writeToDBStream | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- Synthon.h